Get Shares Multiplier History for an Asset
curl --request GET \
--url https://api.gm.ondo.finance/v1/assets/{symbol}/shares-multiplier \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gm.ondo.finance/v1/assets/{symbol}/shares-multiplier"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gm.ondo.finance/v1/assets/{symbol}/shares-multiplier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history": [
{
"sharesMultiplier": "0.481891643381832405",
"changeTimestamp": 1762736520093
},
{
"sharesMultiplier": "0.481566453805576042",
"changeTimestamp": 1754870400044
},
{
"sharesMultiplier": "0.481185641420460013",
"changeTimestamp": 1753992000000
},
"..."
],
"timestamp": 1770161184102
}{
"code": "INVALID_SYMBOL",
"message": "One of the request parameters is invalid.",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#invalid_symbol"
}{
"code": "MISSING_API_KEY",
"message": "missing API key",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#missing_api_key"
}{
"code": "ASSET_NOT_FOUND",
"message": "The provided asset symbol does not exist and cannot be found.",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#asset_not_found"
}{
"code": "RATE_LIMITED",
"message": "rate limit exceeded",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#rate_limited"
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred. Please see the returned message and documentation for details.",
"documentation": "https://docs.ondo.finance/api-reference/error-codes#internal_error"
}Assets
Get Shares Multiplier History for an Asset
This endpoint retrieves the shares multiplier history for a specific asset. Note that some asset events do not result in the shares multiplier value changing. This endpoint will show the earliest timestamp for each value change.
The range parameter determines how far back historically to look for shares multiplier data. See below for valid range values.
Valid range values:
- 1day
- 1month
- 3month
- 6month
- 1year
- all (all historical data)
For caching details on this endpoint, please see: Endpoint Caching.
GET
/
v1
/
assets
/
{symbol}
/
shares-multiplier
Get Shares Multiplier History for an Asset
Authorizations
Path Parameters
The GM token symbol
Query Parameters
The lookback range for historical data. The look back range for historical data. (Note that '1day' will return a rolling 24-hour period of data and 'all' will return all historical data.)
Available options:
1day, 1month, 3month, 6month, 1year, all 
